[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.ExtSelectClipRGN

Combines the passed Region with the current clipping region.

## Declaration

Source position: winapih.inc line 101

`public function TWidgetSet.ExtSelectClipRGN(`
`dc: HDC;`
`rgn: HRGN;`
`Mode: LongInt`
`):Integer; virtual;`

## Arguments

`rgn` |  | The region to combine with.
`Mode` |  | How the regions are combined.

## Function result

The type of the resulting clipping region.

## Description

The Mode can be one of:

RGN_AND
  All points which are in both regions.
RGN_COPY
  An exact copy of the source region, same as SelectClipRGN.
RGN_DIFF
  All points which are in the Clipping Region but but not in the Source. (Clip - RGN).
RGN_OR
  All points which are in either the Clip Region or in the Source. (Clip + RGN).
RGN_XOR
  All points which are in either the Clip Region or in the Source, but not in both.